> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/3.-zapros-poluchit-satelliteimages.md).

# 3. Запрос: Получить "SatelliteImages"

Получить "SatelliteImages" с заданным порогом облачности для "Field".

Подсказки:&#x20;

* Прочитать все "Farms", доступные для "User" - удалить *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Аналогично работать с "Fields", "SatelliteImages", "VectorAnalysisMap".
* Разрешено `geoMapType` фильтр с допустимыми значениями: `ALL`, `ORIGIN`, `CROPPED`, `RAW`, `PROCESSED`, `THUMBNAIL`, `CONTRAST`
* Разрешённые фильтры, связанные с датой: `before` и `after` которые принадлежат [формату AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) формату. Возможно использовать только один из фильтров. Подробнее [ЗДЕСЬ](/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/37.-zapros-poluchit-satelliteimages-v-zadannom-intervale.md).
* Разрешено `provider` фильтр с допустимыми значениями: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Разрешено `threshold` фильтр подчёркивает покрытие облачностью: "1" означает безоблачное, "0" — полностью облачное.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    название
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      название
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          короткоеИмя
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          индекс
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomendedForMutliYearAnalytics 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      название
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          короткоеИмя
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          индекс
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomendedForMutliYearAnalytics
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/3.-zapros-poluchit-satelliteimages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
